%define module wcwidth

Name:           python-%{module}
Version:        0.2.13
Release:        %mkrel 1
Summary:        Measures number of terminal column cells of wide-character codes
Group:          Development/Python
License:        MIT
URL:            https://github.com/jquast/wcwidth
Source0:        %{pypi_source %{module}}
BuildArch:      noarch

%description
This library is mainly for those implementing a terminal emulator,
or programs that carefully produce output to be interpreted by one.

%package -n     python3-%{module}
Summary:        Measures number of terminal column cells of wide-character codes
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library is mainly for those implementing a terminal emulator,
or programs that carefully produce output to be interpreted by one.

%prep
%setup -q -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files wcwidth

%files -n python3-%{module} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Fri Jun 28 2024 daviddavid <daviddavid> 0.2.13-1.mga10
+ Revision: 2077482
- new version: 0.2.13

* Sun Dec 17 2023 papoteur <papoteur> 0.2.6-2.mga10
+ Revision: 2018632
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 0.2.5-4.mga9
+ Revision: 1822404
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.2.5-3.mga9
+ Revision: 1773616
- Rebuild for python-3.10

* Wed Mar 17 2021 wally <wally> 0.2.5-2.mga9
+ Revision: 1704130
- rebuild for python 3.9

* Fri Oct 23 2020 akien <akien> 0.2.5-1.mga8
+ Revision: 1638864
- Version 0.2.5

* Sun Feb 16 2020 umeabot <umeabot> 0.1.7-7.mga8
+ Revision: 1530873
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 0.1.7-6.mga8
+ Revision: 1437623
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.1.7-5.mga7
+ Revision: 1350461
- Rebuild for python3 3.7

* Sat Nov 17 2018 kekepower <kekepower> 0.1.7-4.mga7
+ Revision: 1330517
- Rename python-wcwidth to python2-wcwidth
- Use python_provide
- Use python[2,3]dist() for BRs

* Fri Sep 21 2018 umeabot <umeabot> 0.1.7-3.mga7
+ Revision: 1290558
- Mageia 7 Mass Rebuild

* Thu Aug 03 2017 tv <tv> 0.1.7-2.mga7
+ Revision: 1134514
- rebuild for new python

* Sat Oct 08 2016 akien <akien> 0.1.7-1.mga6
+ Revision: 1059549
- Version 0.1.7

* Wed Mar 09 2016 akien <akien> 0.1.6-1.mga6
+ Revision: 988519
- imported package python-wcwidth

